summaryrefslogtreecommitdiff
path: root/osx_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'osx_setup.sh')
-rw-r--r--osx_setup.sh39
1 files changed, 36 insertions, 3 deletions
diff --git a/osx_setup.sh b/osx_setup.sh
index a8a37833..f899b227 100644
--- a/osx_setup.sh
+++ b/osx_setup.sh
@@ -1,5 +1,35 @@
#!/bin/bash
+# Test to make sure we are OSX
+if [ $(uname) != 'Darwin' ]
+then
+ echo "This script should run only on an OSX system!"
+ exit 1
+fi
+
+# Read the shell configured for the user and set the variable file accordingly
+function current_shell {
+ case $SHELL in
+ *bash)
+ echo ~/.bash_profile
+ ;;
+
+ *zsh)
+ echo ~/.zprofile
+ ;;
+
+ /bin/sh)
+ echo ~/.profile
+ ;;
+
+ *)
+ echo "Your shell isn't supported yet!"
+ ;;
+
+ #Other shells can go here
+ esac
+}
+
function install_compass {
rbenv install -s 2.2.3
eval "$(rbenv init -)"
@@ -7,8 +37,10 @@ function install_compass {
rbenv local 2.2.3
gem install compass
export PATH=$PATH:~/.rbenv/versions/2.2.3/bin
- echo "export PATH=$PATH:~/.rbenv/versions/2.2.3/bin" >> ~/.bash_profile
- echo 'eval "$(rbenv init -)"' >> ~/.bash_profile
+ echo "export PATH=$PATH:~/.rbenv/versions/2.2.3/bin" >> $(current_shell)
+ echo 'eval "$(rbenv init -)"' >> $(current_shell)
+ echo "export PATH=$PATH:~/.rbenv/versions/2.2.3/bin" >> $(current_shell)
+ echo 'eval "$(rbenv init -)"' >> $(current_shell)
}
function install_rbenv {
@@ -30,13 +62,14 @@ function clone_repo {
cd pixelated-user-agent
fi
}
+
#setup frontend
install_rbenv
install_compass
install_npm
#setup backend
-brew install python # force brew install even if python is already installed
+brew install python # force brew install even if python is already install
export LDFLAGS=-L/usr/local/opt/openssl/lib
export LDFLAGS=-L/usr/local/opt/openssl/lib
pip install virtualenv